Package com.enonic.xp.resource

## Class ResourceKey

- java.lang.Object
- - com.enonic.xp.resource.ResourceKey

-     @PublicApi
      public final class ResourceKey
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResourceKey` | `assets​(ApplicationKey application)` |
    `boolean` | `equals​(Object o)` |
    `static ResourceKey` | `from​(ApplicationKey application, String path)` |
    `static ResourceKey` | `from​(String uri)` |
    `ApplicationKey` | `getApplicationKey()` |
    `String` | `getExtension()` |
    `String` | `getName()` |
    `String` | `getPath()` |
    `String` | `getUri()` |
    `int` | `hashCode()` |
    `boolean` | `isRoot()` |
    `ResourceKey` | `resolve​(String relPath)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getUri

          public String getUri()

    - #### getApplicationKey

          public ApplicationKey getApplicationKey()

    - #### getPath

          public String getPath()

    - #### getName

          public String getName()

    - #### getExtension

          public String getExtension()

    - #### isRoot

          public boolean isRoot()

    - #### resolve

          public ResourceKey resolve​(String relPath)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### from

          public static ResourceKey from​(String uri)

    - #### from

          public static ResourceKey from​(ApplicationKey application,
                                         String path)

    - #### assets

          public static ResourceKey assets​(ApplicationKey application)